#
# spec file for package python-typed-ast
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-typed-ast
Version:        1.3.1
Release:        lp152.2.3
Summary:        A fork of Python 2 and 3 ast modules with type comment support
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/python/typed_ast
Source:         https://files.pythonhosted.org/packages/source/t/typed-ast/typed-ast-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
%python_subpackages

%description
typed_ast is a Python 3 package that provides a Python 2.7 and Python 3
parser similar to the standard ast library. Unlike ast, the parsers in
typed_ast include PEP 484 type comments and are independent of the version of
Python under which they are run. The typed_ast parsers produce the standard
Python AST (plus type comments), and are both fast and correct, as they are
based on the CPython 2.7 and 3.6 parsers.

%prep
%setup -q -n typed-ast-%{version}

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install

%files %{python_files}
%license LICENSE
%{python_sitearch}/*

%changelog
* Sun Feb 10 2019 Sebastian Wagner <sebix+novell.com@sebix.at>
- Update to version 1.3.1:
  * Disallow two type comments on one def
  * Fix memory leaks caused by type comment parsing (#91)
  * Fix some broken asserts relating to handling of async keyword (#92)
  * Check NEW_TYPE_COMMENT calls for failure (#93)
- Update to version 1.3.0:
  * Fully incorporate the code from Python 3.7.2
  * Fix some compiler warnings
  * Add a kind field to Bytes as well (#83)
  * Fix await in functions with type comments (#86)
  * Put _ast3 and _ast27 in the typed_ast package (#85)
  * Fix f-string parsing to not think everything is a set (#87)
* Tue Jan 15 2019 Sebastian Wagner <sebix+novell.com@sebix.at>
- Update to version 1.2.0:
  * Fix conversions.py2to3 on unicode strings (#67)
  * Fix remaining calls to Str without a kind (#68)
  * Add "Python :: 3.7" to the classifiers list
  * Some docs updates (#73)
* Wed Jan  2 2019 Sebastian Wagner <sebix+novell.com@sebix.at>
- Update to version 1.1.1:
  * Add __version__ string and tweak versioning scheme
  * Point to the Python 3.6 commits as examples of how to update typed_ast (
  * Add section on development philosophy
  * Add information about the release process.
  * Document Google Cloud Storage artifact deployment
  * Preserve string kind modifiers
  * Add docs for Str.kind
* Thu Sep 20 2018 Tomáš Chvátal <tchvatal@suse.com>
- Use license macro for license install
* Thu Jul 20 2017 sebix+novell.com@sebix.at
- update to version 1.1.0
  * Vs2010 compilation support (Python 3.3/3.4 support) (#47)
* Tue Jun 27 2017 sebix+novell.com@sebix.at
- use new %%skip_python2 instead of obsolete undefines
* Tue Jun 20 2017 sebix+novell.com@sebix.at
- update to version 1.0.4
  * Add checks for some 3.5+ only syntax (async/await and the @ operator) (#41)
* Wed May 31 2017 sebix+novell.com@sebix.at
- initial package
